Add a client
Manually register someone on a barber’s client roster before they book on Guile. The new record can receive invitations later and supports private barber notes once appointments exist.
curl --request POST \
--url https://api.guile.app/barbers/{barberId}/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"givenName": "<string>",
"allergies": [],
"languages": [],
"surname": "<string>",
"nickname": "<string>",
"phoneNumber": "<string>",
"birthDate": "<string>",
"emailAddress": "<string>",
"profilePhoto_URL": "<string>",
"hairType": "<string>"
}
'import requests
url = "https://api.guile.app/barbers/{barberId}/clients"
payload = {
"givenName": "<string>",
"allergies": [],
"languages": [],
"surname": "<string>",
"nickname": "<string>",
"phoneNumber": "<string>",
"birthDate": "<string>",
"emailAddress": "<string>",
"profilePhoto_URL": "<string>",
"hairType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
givenName: '<string>',
allergies: [],
languages: [],
surname: '<string>',
nickname: '<string>',
phoneNumber: '<string>',
birthDate: '<string>',
emailAddress: '<string>',
profilePhoto_URL: '<string>',
hairType: '<string>'
})
};
fetch('https://api.guile.app/barbers/{barberId}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"givenName": "<string>",
"allergies": [],
"languages": [],
"id": "<string>",
"averageAppointmentCost": "456.78",
"averageTipAmount": "456.78",
"noShowCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"appointmentCount": 123,
"lateCancelationCount": 123,
"nickname": "<string>",
"phoneNumber": "<string>",
"birthDate": "<string>",
"emailAddress": "<string>",
"profilePhoto_URL": "<string>",
"surname": "<string>",
"displayName": "<string>",
"hairType": "<string>",
"profilePhoto": {
"url": "<string>",
"thumbnailUrl": "<string>"
},
"lastAppointmentAt": "2023-11-07T05:31:56Z",
"nextAppointmentAt": "2023-11-07T05:31:56Z",
"review": {
"rating": 123,
"occurredAt": "2023-11-07T05:31:56Z",
"review": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Body
Response
Created.
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
A monetary amount in the lowest denomination for the given currency. The numeric value is represented as a string so that it can be exact with no loss of precision. Values may be positive or negative.
^-?(0|[1-9][0-9]*)\.[0-9][0-9]$"456.78"
A monetary amount in the lowest denomination for the given currency. The numeric value is represented as a string so that it can be exact with no loss of precision. Values may be positive or negative.
^-?(0|[1-9][0-9]*)\.[0-9][0-9]$"456.78"
invited, accepted The client's no-show appointment count.
The client's full surname when the authenticated barber may see it.
The client name the authenticated barber may display under the customer's surname visibility preference.
The photo assigned to the client.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
